Results 1 to 10 of 10

Thread: hp g62 and Broadcom BCM4313 wlan problem

  1. #1
    Join Date
    Nov 2010
    Location
    Damanhour-North-Egypt
    Posts
    90

    Default hp g62 and Broadcom BCM4313 wlan problem

    hello every one

    with the Broadcom BCM4313 driver now integrated with SUSE 11.4

    during the installation process the system always hangs just after the following line

    starting network manger
    connecting ...xx

    till i removed the wlan module and then i could launch yast installer normally
    but after installing the system and booting up normally i tried to insert the wlan module but then had the same problem

    the system always hangs just after the following line

    starting network manger
    connecting ...xx

    i'm using i686-32bit version gnome-live
    my laptop is G62-a11SE Notebook PC

  2. #2
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,857
    Blog Entries
    20

    Default Re: hp g62 and Broadcom BCM4313 wlan problem

    Tumbleweed_KDE
    My Articles Was I any help? If yes: Click the star below

  3. #3
    Join Date
    Jun 2008
    Location
    Kansas City Area, Missouri, USA
    Posts
    7,236

    Default Re: hp g62 and Broadcom BCM4313 wlan problem

    On 03/28/2011 12:06 AM, caf4926 wrote:
    >
    > Did you try this
    > 'Install Broadcom Drivers from Packman' (http://tinyurl.com/2c72nor)


    Rather than using the closed-source driver, install the compat-wireless package
    for your kernel. There has been a lot of work recently on the brcm80211 driver
    and c-w has all the new stuff. One of the faults now corrected is that it would
    hang on booting when the rfkill switch was off.

    I just got a couple of the new devices (BCM4313 and BCM943224) that use the AI
    interconnect. Both work well with the version of brcm80211 in the
    wireless-testing tree, which is the source of compat-wireless.

  4. #4
    Join Date
    Nov 2010
    Location
    Damanhour-North-Egypt
    Posts
    90

    Default Re: hp g62 and Broadcom BCM4313 wlan problem

    One of the faults now corrected is that it would
    hang on booting

    that exactly what is happinig the **** machine hangs on booting and on installation
    i spend the whole ******ing week removing and inserting the wlan device from the laptop



    when the rfkill switch was off.

    so that's it just turn the **** switch on
    or install rfkill tool and then set the switch to unlock

    c-w has all the new stuff.
    who is c-w ???????????????

    caf4926 thanks man you are always helping

  5. #5
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,857
    Blog Entries
    20

    Default Re: hp g62 and Broadcom BCM4313 wlan problem

    But did you try the Packman guide?

    You didn't explain what exactly the step are that you have taken.

    CW = compat wireless I think
    Tumbleweed_KDE
    My Articles Was I any help? If yes: Click the star below

  6. #6
    Join Date
    Sep 2008
    Location
    Sulzbach (Taunus), Hessen [Hesse], Deutschland [Germany]
    Posts
    2,178

    Question Re: hp g62 and Broadcom BCM4313 wlan problem

    Preface: I am not in charge in this forum - all I write is written from a normal user (one that rated himself not very experienced with software or hardware but due to his profession has leaned to interpret text).


    Hello desperate/angry mostafaxxx!
    Quote Originally Posted by mostafaxxx View Post
    [...]who is c-w ???????????????
    Probably with c-w is the package compat-wireless is meant.
    Both the context
    - the (half-)sentence right in front ["[...]install the compat-wireless package
    for your kernel."] -
    and the meaning of the sentence with "c-w"
    - to get the newest things from the hard working kernel developers (like lwfinger is one) who are struggling/fighting to deliver free and open stuff -
    told me that).

    And if you want to go the open and free way (after getting a bit calmer again?) - I guess that you first need to determine you kernel flavor.
    Code:
    uname -a
    entered in a terminal (emulator)
    will give you something like
    Code:
    Linux linux-o7fu.site 2.6.37.1-1.2-default #1 SMP 2011-02-21 10:34:10 +0100 i686 i686 i386 GNU/Linux
    (color added by me)
    so in my case the flavor would be default.


    @lwfinger / @all
    Dear patient human being, retired Experimental Mineralogist/X-Ray Crystallographer and high valued but unpaid, hard working kernel developer!
    Dear other experienced openSUSE users!

    a) software.opensuse.org - Search Results in/against openSUSE 11.4: compat-wireless
    shows me only packages (kernel modules and no separate driver?) build for/against Tumbleweed.[1]

    b) Should the desperate user install a package (fitting to his kernel flavor?) that he finds with
    software.opensuse.org - Search Results in/build against openSUSE Factory: compat-wireless ?

    c) The link to "Go to OBS Project" is still not working - what do you think how to inform/ask the package builders about a)?



    Regards
    Martin
    (pistazienfresser)



    [1] Compare to that problem in general:
    - openFATE #310986 : Software Search to arrive at most desirable options
    - pistazienfresser (=me):Re: [opensuse-project]Re: [opensuse-project] Searching for packages to use with Tumbleweed OR(exclusiv) openSUSE 11.x WAS: Announcing search.opensuse.org (Fri Mar 25 19:16:58 GMT 2011) and before

  7. #7
    Join Date
    Nov 2010
    Location
    Damanhour-North-Egypt
    Posts
    90

    Default Re: hp g62 and Broadcom BCM4313 wlan problem

    But did you try the Packman guide?
    no not yet

    hi pistazienfresser

    i'm trying to follow your guide my kernel ver is default

    Code:
    Linux linux-kf1e.site 2.6.37.1-1.2-default #1 SMP 2011-02-21 10:34:10 +0100 i686 i686 i386 GNU/Linux
    i don't know which compact wireless package to download so i'm going with

    compat-wireless-kmp-default-2.6.38_k2.6.37.1_1.2-1.1.i586.rpm

    any way when i try to install it it gives me the following error

    Code:
    nothing provides compat-wireless-scripts = 2.6.38 needed by compat-wireless-kmp-default-2.6.38_k2.6.37.1_1.2-1.1.i586
    any idea ..???

  8. #8
    Join Date
    Sep 2008
    Location
    Sulzbach (Taunus), Hessen [Hesse], Deutschland [Germany]
    Posts
    2,178

    Question Re: hp g62 and Broadcom BCM4313 wlan problem

    Quote Originally Posted by mostafaxxx View Post
    [...]

    hi pistazienfresser

    i'm trying to follow your guide my kernel ver is default

    Code:
    Linux linux-kf1e.site 2.6.37.1-1.2-default #1 SMP 2011-02-21 10:34:10 +0100 i686 i686 i386 GNU/Linux
    Doing that was my suggestion if you you would want to follow lwfinger's suggestion (which I do not fully understand because I did not find any packages build explicitly for openSUSE 11.4 as I have pointed out/have tried to point out)
    Quote Originally Posted by mostafaxxx View Post
    i don't know which compact wireless package to download so i'm going with

    compat-wireless-kmp-default-2.6.38_k2.6.37.1_1.2-1.1.i586.rpm

    any way when i try to install it it gives me the following error

    Code:
    nothing provides compat-wireless-scripts = 2.6.38 needed by compat-wireless-kmp-default-2.6.38_k2.6.37.1_1.2-1.1.i586


    any idea ..???
    Yes.
    0.
    Please make sure that you have
    0.1 - not added a package build for the openSUSE Tumbleweed distribution
    and especially that you have
    0.2 - not added a repository for the openSUSE Tumbleweed distribution

    If not now most probably later something like 0.2 will end in a all messed up system.


    1.
    Please wait for lwfinger to explain his suggestion.

    2.
    A few questions are persisting my amateurish mind just now:

    2.1
    Have you installed packages build for openSUSE 11.4 (compare 0.)?

    2.2
    If I

    go to software.opensuse.org ,
    choose openSUSE 11.4
    add "compat-wireless" to the seach line and
    press ENTER

    I got:
    Search Results on software.opensuse.org: baseproject="openSUSE 11.4" AND question="compat-wireless"

    which gives me currently as the sixth (6th) result:
    compat-wireless-scripts
    driver:wireless/openSUSE_11.4
    This package contains the load/unload scripts:
    - /usr/sbin/athenable
    - /usr/sbin/b43enable
    - /usr/sbin/iwl-enable
    - /usr/sbin/athload
    - /usr/sbin/b43load
    - /usr/sbin/iwl-load
    - /usr/sbin/madwifi-load
    - /usr/sbin/compat-wireless_unload
    - /usr/sbin/compat-wireless_wlunload
    - /usr/sbin/compat-wireless_btunload
    [less]
    1-Click Install
    Manual Package Download
    Go to OBS Project
    noarch compat-wireless-scripts-2.6.38-1.1.noarch.rpm
    (cited without most of the links, highlighted 1 not in the Original)

    2.2
    And if I follow the [Go to the OBS-Project] link and so on I get to
    Build Service > Projects > driver:wireless > compat-wireless > Repository State
    with
    Repository has been published Architecture: i586

    compat-wireless-2.6.38-1.1.src.rpm
    compat-wireless-kmp-default-2.6.38_k2.6.37.1_1.2-1.1.i586.rpm
    compat-wireless-kmp-desktop-2.6.38_k2.6.37.1_1.2-1.1.i586.rpm
    compat-wireless-kmp-pae-2.6.38_k2.6.37.1_1.2-1.1.i586.rpm
    compat-wireless-kmp-xen-2.6.38_k2.6.37.1_1.2-1.1.i586.rpm
    compat-wireless-scripts-2.6.38-1.1.noarch.rpm
    [...]
    2.3
    So I guess (literally)
    ether a package builder should give the openSUSE Build Service a slight kick to build the script against the kernel(s) 2.6.38-1.2
    or (if the new kernel version makes no difference to the script) a package builder should rename the script in order to avoid puzzlement and not working dependencies.

    Just my amateurish ideas.

    3.
    Have a lot of luck and then fun..

    puzzled pistazienfresser
    (Martin)
    Last edited by pistazienfresser; 29-Mar-2011 at 03:20. Reason: which

  9. #9
    Join Date
    Sep 2008
    Location
    Sulzbach (Taunus), Hessen [Hesse], Deutschland [Germany]
    Posts
    2,178

    Default Re: hp g62 and Broadcom BCM4313 wlan problem

    Hi mostafaxxx,

    probably I am just puzzled about the naming of the packages/versions myself.

    Maybe it is just that you have not activated the right repositories?

    Could you give us a list of your actual repositories?

    Regards
    Martin
    (pistazienfresser)

  10. #10
    Join Date
    Sep 2008
    Location
    Sulzbach (Taunus), Hessen [Hesse], Deutschland [Germany]
    Posts
    2,178

    Question Re: hp g62 and Broadcom BCM4313 wlan problem

    Quote Originally Posted by pistazienfresser View Post
    Could you give us a list of your actual repositories?
    The easiest way to do that may be:

    1.
    Open a terminal emulator like
    GNOME terminal or konsole.

    2.
    Copy and paste with your mouse:
    zypper lr -pu
    and press ENTER.

    3.
    Mark and copy the output/result with your mouse.

    4.
    Paste it here and put it between [CODE]and[/CODE].

    5.
    Post Reply

    Regards
    Martin
    (pistazienfresser)

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •